#pragma once
/*
 *      Copyright (C) 2005-2014 Team XBMC
 *      http://www.xbmc.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <string>

namespace OS
{
  class CFile
  {
  public:
    static bool Exists(const std::string& strFileName, long* errCode = NULL);
  };

#ifdef TARGET_WINDOWS_DESKTOP
  /**
   * Return the location of the Program Data folder
   * @param[in,out] programData Reference to a string that will receive the program data path
   * @return true on success, false on failure
   */
  bool GetProgramData(std::string& programData);
#endif
};
